Eclipse Curlプラグインのインストール時にエラーがでる場合の対応

CDEインストール時のエラーで下記のようなエラーが出る場合があります。

An internal error occurred during: “Update Manager”.
Bad version number in .class file

このようなエラーが出る場合、JREのバージョンが古いことが考えられます。

まず、Help/About Eclipse から Configuration Detailsをクリックし、下記の部分を確認してください。

java.runtime.name=Java(TM) SE Runtime Environment
java.runtime.version=1.6.0_07-b06 ← この部分のバージョンを確認

最新のバージョンでなければ、最新のJREをSunのページから確認・入手し、下記の手順でEclipseに最新のJavaランタイムを適用してください。

windows -> preferences -> java -> installed JREsを選択

ダウンロードした新しいバージョンを指定する。

もう一度
Help/About Eclipse から Configuration Detailsをクリックし、java.runtime.versionを確認

変更を加えた後でも変更前のバージョンに指定されている場合は、
Eclipse.iniに

-vm
最新のJDK or JREのパス\bin\javaw.exe

を記述します。

さらにPATHの設定を確認して下さい。

環境変数のPATHで、一番最初に見つかったJavaのバージョンを利用するので、
PATH設定の一番左側にJREのフォルダを指定する必要があります。

再起動し、新しいバージョンを適用させます。